Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.listeners

# Class TransactionListenerDispatcher

java.lang.Object
org.firebirdsql.gds.ng.listeners.AbstractListenerDispatcher<TransactionListener>
org.firebirdsql.gds.ng.listeners.TransactionListenerDispatcher

All Implemented Interfaces:
  `Iterable<TransactionListener>`, `TransactionListener`

public final class TransactionListenerDispatcher extends AbstractListenerDispatcher<TransactionListener> implements TransactionListener
Dispatcher to maintain and notify other `TransactionListener`.

Since:
  3.0
Author:
  Mark Rotteveel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionListenerDispatcher()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `logError(String message, Throwable throwable)`
  `void`
  `transactionStateChanged(FbTransaction transaction, TransactionState newState, TransactionState previousState)`
  Signals that the transaction state changed.

  ### Methods inherited from class org.firebirdsql.gds.ng.listeners.AbstractListenerDispatcher

  `addListener, addWeakListener, isShutdown, iterator, notify, removeAllListeners, removeListener, shutdown`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### TransactionListenerDispatcher

    public TransactionListenerDispatcher()

- ## Method Details

  - ### transactionStateChanged

    public void transactionStateChanged(FbTransaction transaction, TransactionState newState, TransactionState previousState)
    Description copied from interface: `TransactionListener`
    Signals that the transaction state changed.
    Specified by:
      `transactionStateChanged` in interface `TransactionListener`
    Parameters:
      `transaction` - `FbTransaction` that changed state

  - ### logError

    protected void logError(String message, Throwable throwable)
    Specified by:
      `logError` in class `AbstractListenerDispatcher<TransactionListener>`